Subject: Re: payroll
From: "Mike" <[email-masked]>
To: "Stacy Roberts" <[email-masked]>
Date: Tue, 30 Aug 2011 09:06:04 -0400

Sorry Stacy.  I thought I had sent it over yesterday.  It was minimized (still open) on my computer. It should be there now.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Stacy Roberts 
  To: Mike 
  Sent: Tuesday, August 30, 2011 8:36 AM
  Subject: payroll

  Good Morning,

  I didn't get an email confirmation that payroll was done yet. Just didn't want to sit too long on it if it was in fact done.  Thanks! 

  Stacy